<?php

namespace WCAldi\Managers;

class ArchiveFilterManager {

    /**
	 * Init manager
	 */
	public function init() {
		$this->applyArchiveFilterHooks();
	}

    /**
	 * Archive filter hooks
	 */
	protected function applyArchiveFilterHooks() {
		
        add_action( 'widgets_init', [ $this, 'wpb_load_widget' ] );

	}

    /**
     * WIDGET
     *
     * Functions for creating a widget for the filter
     */
    // Register and load the widget
    public function wpb_load_widget() {
        register_widget( 'WCAldi\Widgets\ArchiveFilterWidget' );
    }

}