<?php

namespace WCAldi\Widgets;

// Creating the widget for the button
class StoreSelectorWidget extends \WP_Widget {

    function __construct() {
        parent::__construct(

        // Base ID of your widget
        'wcaldi_store_selector_widget', 

        // Widget name will appear in UI
        __('Selector de tienda', 'wcaldi'), 

        // Widget description
        array( 'description' => __( 'Muestra la tienda seleccionada y permite cambiarla.', 'wcaldi' ), ) 
        );
    }

    // Creating widget front-end

    public function widget( $args, $instance ) {

        // before and after widget arguments are defined by themes
        echo $args['before_widget'];

        if( isset( $_POST['submitFormChangeTienda'] ) ) {
            $params['current_store_name'] = $_POST['nombreTienda'];
        } else {
            $params['current_store_name'] = $_COOKIE['current_store']['name'];
        }

        // This is where you run the code and display the output
        echo wcaldi_get_module( 'frontend/storeSelector/storeSelectorButton', $params);
        echo $args['after_widget'];
    }

    // Updating widget replacing old instances with new
    public function update( $new_instance, $old_instance ) {
        $instance = array();
        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        return $instance;
    }

} // Class wpb_widget ends here