<?php
if( is_woocommerce() && is_product_category() ) {
?>
    <div class="wcaldi-archive-filter">

        <div class="wcaldi-archive-filter-header"><?php _e('FILTRAR POR:','wcaldi'); ?><img src="<?php echo wcaldi_get_asset('img/frontend/filter/filter-icon.png'); ?>"></div>

        <?php
        if( !empty( $categories ) ) {

            echo "<ul class='wcaldi-archive-filter-body' data-current-cat='" . $current_category['id'] . "'>";
            foreach( $categories as $c ) {
                echo "<li><span class='wcaldi-archive-filter-body-category' data-cat='".$c['id']."' data-slug='".$c['slug']."'>".$c['name']."<span class='arrow down'></span></span>";

                if( isset( $c['subcategories'] ) ) {

                    echo "<ul class='wcaldi-archive-filter-body-subcategories'>";
                    
                    foreach( $c['subcategories'] as $s ) {

                        $checked = ( isset( $filters['families'] ) && in_array( $s['slug'], $filters['families'] ) ) ? 'checked' : '';

                        echo "<li><input type='checkbox' name='".$s['slug']."_".$s['id']."' id='".$s['slug']."_".$s['id']."' data-cat='".$s['id']."' data-slug='".$s['slug']."' ".$checked."><label for='".$s['slug']."_".$s['id']."'>".$s['name']."<span class='fake-checkbox'></span></label></li>";
                    
                    }
                    echo "</ul>";

                }
                echo "</li>";
            }
            echo "</ul>";

        }
        ?>
    </div>
<?php
}
?>
