jQuery(document).ready(function() {

    startDatePicker('.datetimepicker');
    wcAldiPressImportNow();
    wcAldiCancelImport();

});

function startDatePicker( classPicker ) {
    
    jQuery( classPicker ).datetimepicker();

}

function wcAldiPressImportNow() {

    jQuery('.ima_import_options_page_import').on('click', function() {
        

        if( jQuery(this).data('products') == 'all' ) {

            var doit = confirm("¡CUIDADO! Este proceso puede tardar horas o incluso bloquear el sistema");

            if( doit ) {
                wcAldiImportingNow( 'all' );
            }

        } else {
            wcAldiImportingNow( parseInt( jQuery(this).data('products') ) );
            testT();
        }

    });

}

function wcAldiImportingNow( productTiming ) {

    var data = {
        action: 'importNow',
        security : WC_Aldi_import.security,
        productTiming: productTiming
    };

    jQuery.ajax({
        type: "POST",
        url: WC_Aldi_import.ajaxurl,
        dataType: "html",
        timeout: 0,
        data: data,
        beforeSend: function() {

            jQuery('.ima_import_options_page_messages').text('');
            jQuery('.ima_import_options_page_loading').fadeIn();

            setTimeout(function() {
                jQuery('.ima_import_options_page_loading').fadeOut();
            }, 6000);
        }
        // success: function( data ) {
        //     d = jQuery.parseJSON( data );
        //     jQuery('.ima_import_options_page_messages').text( d.message );
        //     jQuery('.ima_import_options_page_loading').fadeOut();
        // },
        // error: function( data ) {
        //     jQuery('.ima_import_options_page_messages').text( 'Lo sentimos, no se ha podido procesar su solicitud. Pregunte a un administrador.' );
        //     jQuery('.ima_import_options_page_loading').fadeOut();
        // }
    });

}

function wcAldiCancelImport() {

    jQuery('.ima_import_options_page_import_cancel').on('click', function() {
        var data = {
            action: 'cancelImport',
            security : WC_Aldi_import.security
        };

        jQuery.ajax({
            type: "POST",
            url: WC_Aldi_import.ajaxurl,
            dataType: "html",
            timeout: 0,
            data: data,
            success: function( data ) {
                location.reload();
            }
        });
    });

}