<?php

if( function_exists('acf_add_local_field_group') ):
    
    acf_add_local_field_group(array (
        'key' => 'group_59e8a33d24ae1',
        'title' => 'Contenido adicional Productos',
        'fields' => array (
            array (
                'key' => 'field_59e8a35e9dbe6',
                'label' => 'Vídeos',
                'name' => 'product_videos',
                'type' => 'repeater',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array (
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'collapsed' => '',
                'min' => 0,
                'max' => 0,
                'layout' => 'table',
                'button_label' => '',
                'sub_fields' => array (
                    array (
                        'key' => 'field_59e8a3a49dbe7',
                        'label' => 'URL',
                        'name' => 'product_video_url',
                        'type' => 'url',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'default_value' => '',
                        'placeholder' => '',
                    ),
                ),
            ),
            array (
                'key' => 'field_59e8a3b69dbe8',
                'label' => 'Artículo',
                'name' => 'product_post',
                'type' => 'group',
                'instructions' => 'Reemplaza un producto relacionado por un artículo o enlace externo.',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array (
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'layout' => 'block',
                'sub_fields' => array (
                    array (
                        'ID' => 78965,
                        'key' => 'field_59e8a4a09dbed',
                        'label' => 'Activar',
                        'name' => 'product_post_enable',
                        'prefix' => 'acf',
                        'type' => 'true_false',
                        'value' => NULL,
                        'menu_order' => 0,
                        'instructions' => '',
                        'required' => 0,
                        'id' => '',
                        'class' => '',
                        'conditional_logic' => 0,
                        'parent' => 78964,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        '_name' => 'product_post_enable',
                        '_prepare' => 0,
                        '_valid' => 1,
                        'message' => '',
                        'default_value' => 0,
                        'ui' => 1,
                        'ui_on_text' => '',
                        'ui_off_text' => '',
                    ),
                    array (
                        'ID' => 78966,
                        'key' => 'field_59e8a3ed9dbe9',
                        'label' => 'Imagen',
                        'name' => 'product_post_img',
                        'prefix' => 'acf',
                        'type' => 'image',
                        'value' => NULL,
                        'menu_order' => 1,
                        'instructions' => '',
                        'required' => 0,
                        'id' => '',
                        'class' => '',
                        'conditional_logic' => array (
                            array (
                                array (
                                    'field' => 'field_59e8a4a09dbed',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'parent' => 78964,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        '_name' => 'product_post_img',
                        '_prepare' => 0,
                        '_valid' => 1,
                        'return_format' => 'array',
                        'preview_size' => 'thumbnail',
                        'library' => 'all',
                        'min_width' => '',
                        'min_height' => '',
                        'min_size' => '',
                        'max_width' => '',
                        'max_height' => '',
                        'max_size' => '',
                        'mime_types' => '',
                    ),
                    array (
                        'ID' => 78967,
                        'key' => 'field_59e8a42c9dbea',
                        'label' => 'Título',
                        'name' => 'product_post_title',
                        'prefix' => 'acf',
                        'type' => 'text',
                        'value' => NULL,
                        'menu_order' => 2,
                        'instructions' => '',
                        'required' => 0,
                        'id' => '',
                        'class' => '',
                        'conditional_logic' => array (
                            array (
                                array (
                                    'field' => 'field_59e8a4a09dbed',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'parent' => 78964,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        '_name' => 'product_post_title',
                        '_prepare' => 0,
                        '_valid' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array (
                        'ID' => 78968,
                        'key' => 'field_59e8a44f9dbeb',
                        'label' => 'Resumen',
                        'name' => 'product_post_excerpt',
                        'prefix' => 'acf',
                        'type' => 'text',
                        'value' => NULL,
                        'menu_order' => 3,
                        'instructions' => '',
                        'required' => 0,
                        'id' => '',
                        'class' => '',
                        'conditional_logic' => array (
                            array (
                                array (
                                    'field' => 'field_59e8a4a09dbed',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'parent' => 78964,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        '_name' => 'product_post_excerpt',
                        '_prepare' => 0,
                        '_valid' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                    ),
                    array (
                        'ID' => 78969,
                        'key' => 'field_59e8a4829dbec',
                        'label' => 'Url',
                        'name' => 'product_post_url',
                        'prefix' => 'acf',
                        'type' => 'link',
                        'value' => NULL,
                        'menu_order' => 4,
                        'instructions' => '',
                        'required' => 0,
                        'id' => '',
                        'class' => '',
                        'conditional_logic' => array (
                            array (
                                array (
                                    'field' => 'field_59e8a4a09dbed',
                                    'operator' => '==',
                                    'value' => '1',
                                ),
                            ),
                        ),
                        'parent' => 78964,
                        'wrapper' => array (
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        '_name' => 'product_post_url',
                        '_prepare' => 0,
                        '_valid' => 1,
                        'return_format' => 'array',
                    ),
                ),
            ),
        ),
        'location' => array (
            array (
                array (
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'product',
                ),
            ),
        ),
        'menu_order' => 9,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => 1,
        'description' => '',
        'menu_item_level' => 'all',
    ));
    
endif;