<?php
$classes = [ 'menu-item' ];
if ( count( $category['children'] ) > 0 ) {
	$classes[] = 'menu-item-has-children';
}
?>
<li class="<?php echo implode( ' ', $classes ) ?>">
    <a href="<?php echo $category['url'] ?>"><?php echo $category['name'] ?><span class="toggle-arrow"><i class="fa fa-angle-down"></i></span></a>
	<?php if ( count( $category['children'] ) > 0 && $depth > 0 ) { ?>
        <ul class="sub-menu">
			<?php
			foreach ( $category['children'] as $categoryTmp ) {
				echo wcaldi_get_module( 'frontend/productsMegaMenu/productsMegaMenuItem', [
					'category' => $categoryTmp,
					'depth'    => $depth - 1
				] );
			}
			?>
        </ul>
	<?php } ?>
</li>
