<?php if( !get_field('hide_stores_popup') ) { ?>

<div class="modal fade store-selector-modal">
    <div class="modal-dialog" role="document">

        <div class="modal-content">

            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>


            <div class="modal-body">
                <img class="store-selector-img" src="<?php echo WC_ALDI_PLUGIN_URL; ?>assets/img/search-shop.png" title="Icono de tienda con una lupa gigante encima.">
                <h3>¿Cuál es tu tienda más cercana?</h3>
                <p class="store-selector-text">Escoge tu tienda favorita y te mostraremos los productos regionales que solo encontrarás en tu zona. Además podrás conocer todos nuestros artículos y descubrir cada semana las novedades de nuestros Días Exprés.</p>
                
                <form method="post" id="formChangeTienda">	
                    <div class="input-group form-group">
                        <input type="input" class="form-control modal-place-select" id="selectPlace" placeholder="Escribe tu población o código postal">
                        <span class="input-group-btn">					
                            <button id="find" class="btn btn-default modal-place-select" type="button"></button>
                        </span>			
                    </div>
                    <div class="form-group">
                        <p id="currentPlace"></p>
                    </div>

                    <input name="idTienda" id="idTienda" type="hidden" value="">
                    <input name="codTienda" id="codTienda" type="hidden" value="">
                    <input name="nombreTienda" id="nombreTienda" type="hidden" value="">
                    <input name="ubicacion" id="ubicacion" type="hidden" value="">
                    <input name="isBaleares" id="isBaleares" type="hidden" value="">
                    <input name="postal_code" id="postal_code" type="hidden" value="">
                    <input name="longitude" id="longitude" type="hidden" value="">
                    <input name="latitude" id="latitude" type="hidden" value="">
                    <input name="submitFormChangeTienda" type="hidden" value="true"/>
                </form>
            </div>

        </div><!-- /.modal-content -->

    </div><!-- /.modal-dialog -->
</div>

<?php if( isset($current_store_id) ) { ?>
<input type="hidden" value="<?php echo $current_store_id; ?>" id="current_store_id">
<?php } ?>

<?php } ?>